- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
filter.h File Reference
`#include "gdef.h"`
`#include "gpath.h"`
`#include <string>`

Go to the source code of this file.

## Functions
void | filter_help (const std::string &prefix)
bool | filter_run (const std::string &content)
int | filter_main (int argc, char *argv[])
bool | filter_match (G::Path, std::string)
std::string | filter_read_to (const std::string &)

## Function Documentation

void filter_help | ( | const std::string & | prefix | ) |

Definition at line 40 of file filter.cpp.

References Main::Legal::copyright(), and Main::Legal::warranty().

Referenced by filter_main().

int filter_main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 137 of file filter.cpp.

References G::Arg::c(), filter_help(), filter_run(), G::Arg::prefix(), and G::Arg::v().

Referenced by main().

bool filter_match | ( | G::Path | ,
|  | std::string |
| ) |  |

Definition at line 30 of file filter_copy.cpp.

Referenced by filter_run().

std::string filter_read_to | ( | const std::string & |  | ) |

Definition at line 35 of file filter_copy.cpp.

Referenced by filter_run().

bool filter_run | ( | const std::string & | content | ) |

Definition at line 54 of file filter.cpp.

References G::Path::basename(), G::File::copy(), G::Path::dirname(), G::DirectoryIterator::error(), G::File::exists(), G::DirectoryIterator::fileName(), G::DirectoryIterator::filePath(), filter_match(), filter_read_to(), G::DirectoryIterator::isDir(), G::DirectoryIterator::more(), G::File::remove(), G::Str::replaceAll(), and G::Path::str().

Referenced by filter_main().